Grafana Integration
Grafana is an open source platform for data visualization, monitoring, and analysis. You may integrate this software with the Monitoring as a Service for more convenient use.
Go to the API reference
Install grafana
Generate the first token
curl -uusername:password https://api.ionos.com/auth/v1/tokens/generate or -n if you use netrc
It is also possible to query the metrics using curl:
curl -H "Authorization: Bearer ${TOKEN}" https://api.ionos.com/telemetry/api/v1/query?query=instance\_cpu\_utilization\_average
Add data source to Grafana
Login to Grafana
Configuration (on the left side)
Data source

Data source
HTTP
URL:
https://api.ionos.com/telemetry/
Configuration requirements: Ensure that you update the URL with the required query string parameters and include a valid Authorization header. The Telemetry API is modeled after the Prometheus Query API. For more information, refer to the Prometheus Documentation.
Custom HTTP Headers
Authorization Value:
Bearer eyJ0eXAiOiJKHTTP Methods:
GETandPOSTSave and test
Go to Explore (on the left side)
Choose the new Data source
In the Metrics Browser, write instance
Choose one of the metrics
Run query

You can query on these metrics now:
series whitelist:
- instance_cpu_utilization_average
- instance_network_in_packets
- instance_network_out_bytes
- instance_network_in_bytes
- instance_network_out_packets
- instance_volumes_read_bytes
- instance_volumes_write_bytes
- instance_volumes_read_ops
- instance_volumes_write_ops
Last updated
Was this helpful?